<?php
header('Access-Control-Allow-Origin: *');
header("Access-Control-Allow-Methods: HEAD, GET, POST, PUT, PATCH, DELETE, OPTIONS");
header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method,Access-Control-Request-Headers, Authorization");
header('Content-Type: application/json');
$method = $_SERVER['REQUEST_METHOD'];
if ($method == "OPTIONS") {
    header('Access-Control-Allow-Origin: *');
    header("Access-Control-Allow-Headers: X-API-KEY, Origin, X-Requested-With, Content-Type, Accept, Access-Control-Request-Method,Access-Control-Request-Headers, Authorization");
    header("HTTP/1.1 200 OK");
    die();
}
require '../../../../config/db.php';
$data = [];
if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    $query = "SELECT * FROM Categories";
    if ($result = mysqli_query($con, $query)) {
        $i = 0;
        while ($rows = mysqli_fetch_assoc($result)) {
            $data[$i]['CategoryId'] = $rows['CategoryId'];
            $data[$i]['Category'] = $rows['Category'];
            $data[$i]['Status'] = $rows['Status'];
            $data[$i]['IsFeatured'] = $rows['IsFeatured'];
            $data[$i]['DateCreated'] = $rows['DateCreated'];
            $data[$i]['DateModified'] = $rows['DateModified'];
            $i++;
        }
        $response = array(
            'status' => '1',
            'data' => $data
        );
        echo json_encode($response);
    }
} else {
    echo json_encode([
        'status' => -1
    ]);
    die();
}
